// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
angular.module('starter', ['ionic'])

.run(function($ionicPlatform, $interval) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs).
    // The reason we default this to hidden is that native apps don't usually show an accessory bar, at
    // least on iOS. It's a dead giveaway that an app is using a Web View. However, it's sometimes
    // useful especially with forms, though we would prefer giving the user a little more room
    // to interact with the app.
    if (window.cordova && window.Keyboard) {
      window.Keyboard.hideKeyboardAccessoryBar(true);
    }

    if (window.StatusBar) {
      // Set the statusbar to use the default style, tweak this to
      // remove the status bar on iOS or change it to use white instead of dark colors.
      //StatusBar.styleDefault();
    }

    var banner_id = 'ca-app-pub-8336667990923403/7745223923';
    var interstitial_id = 'ca-app-pub-8336667990923403/5575739046';
    admob.setDevMode(false);
    admob.banner.show({ id: banner_id });
    admob.interstitial.load({ id: interstitial_id });
    $interval(function() {
      admob.interstitial.isLoaded().then((result) => {if (!result) admob.interstitial.load({ id: interstitial_id }) });
    },3*60*1000);

  });
})

.controller('HomeCtrl', function($scope, $rootScope, $http, $state, $ionicLoading) {

    $rootScope.Appname = '历史演义小说全集';
    $rootScope.link = 'https://temp.pankon.top/zhbkcs';

    $scope.doRefresh = function() {
      $http({
        method :'GET',
        url : $scope.link+'/json/lsyyxsqj_books.json'
      }).success(function(data,status,headers,config){
        console.log(JSON.stringify(data));
        $scope.books = data;
      }).error(function(data, status, headers, config){
        console.log("error...." + data);
      }).finally(function() {
        $scope.$broadcast('scroll.refreshComplete');
        $ionicLoading.hide();
      });
    };

    $scope.doRefresh();
    $ionicLoading.show({
      template: 'Loading...'
    });

    $scope.bookNum = function() {
      if ($scope.books) 
        return $scope.books.length;
      else
        return 0;
    };

    $scope.readBook = function(book) {
      var lastpage = localStorage.getItem(book.src);
      var flip = function (flipBook) {
        localStorage.setItem(book.src, flipBook.target._activePage);
      };
      option_df_book_full.openPage = lastpage;
      option_df_book_full.onFlip = flip;
      
      admob.interstitial.show();
    };

});